nix3-profile-history(1)

Warning: This program is experimental and its interface is subject to change.

Name
nix profile history - show all versions of a profile

Synopsis
nix profile history [option…]

Examples

•   Show the changes between each version of your default profile:

    # nix profile history
    Version 508 (2020-04-10):
    flake:nixpkgs#legacyPackages.x86_64-linux.awscli: ∅ -> 1.17.13
    Version 509 (2020-05-16) <- 508:
    flake:nixpkgs#legacyPackages.x86_64-linux.awscli: 1.17.13 -> 1.18.211

Description
This command shows what packages were added, removed or upgraded between subsequent versions of a profile. It only shows top-level packages, not dependencies; for that, use nix profile diff-closures (./nix3-profile-diff-closures.md).

The addition of a package to a profile is denoted by the string ∅ -> version, whereas the removal is denoted by version -> ∅.

Options

•   --profile path
    The profile to update.

Common evaluation options:

•   --arg name expr
    Pass the value expr as the argument name to Nix functions.

•   --argstr name string
    Pass the string string as the argument name to Nix functions.

•   --eval-store store-url
    The Nix store to use for evaluations.

•   --impure
    Allow access to mutable paths and repositories.

•   --include / -I path
    Add path to the list of locations used to look up <...> file names.

•   --override-flake original-ref resolved-ref
    Override the flake registries, redirecting original-ref to resolved-ref.